<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2008 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.3.12 - Last modified 4/26/2008
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


include ('header.php');


// Input
$rules = w_gpc('rules', 'i');


// -----------
// Print rules
//
if (empty ($rules) && $cfg['reg_rules'] != 'no') {
	?>
<!-- Begin Rules -->
<div id="contentmain">

	<div class="infotable" style="margin: 0 50px 0 50px; text-align: center;">
		<?=$langop_plzreadrulereg?>
	</div>
	<br />
	<br />

	<!-- Rules -->
	<h1 class="header">
		<?=$langop_word_rules?>!
	</h1>
	<div class="infotable">
<?
	include ($cfg['res_path'].'/rules.php');
?> 
	</div>
	<br />
	<br />

	<div class="infotable" style="margin: 0 50px 0 50px; text-align: center;">
		<?=$langop_agreerulz?>, <a href="<?=$_SERVER['PHP_SELF'].'?rules=1';?>"><?=$langop_clickheregister?></a>.
	</div>
</div>
<!-- End Rules -->


<?
	include ('footer.php');
	exit;
}


// ------------------
// Print confirmation
//
if ($rules == 2) {
	?>
<div id="contentmain">

	<!-- Confirmation -->
	<h1 class="header">
		<?=$langop_regisubmit?>
	</h1>
	<div class="infotable">
		<div align="center">
<? if ($cfg['approval'] != 'force') { ?>
			<?=$langop_urgistra?> &ldquo;<?=$cfg['op_title'];?>&rdquo; <?=$langop_ibeproces?>.<br />
			<br />
<? }
if ($cfg['approval'] == 'yes') { ?>
			<?=$langop_aprovemsgyes?><br />
<? } elseif ($cfg['approval'] == 'no') { ?>
			<?=$langop_aprovemsgno?><br />
<? } elseif ($cfg['approval'] == 'force') { ?>
			<?=$langop_urgistra?> &ldquo;<?=$cfg['op_title'];?>&rdquo; <?=$langop_aprovmsgforce?><br />
<? } ?>
			<br />
			<a href="index.php"><?=$langop_returnbbs?></a>
		</div>
	</div>
</div>


<?
	include ('footer.php');
	exit;
}


// ------------------
// Print registration
//
?>
<div id="contentmain">

	<!-- Notes -->
	<h1 class="header">
		<?=$langop_nbregister?>
	</h1>

	<div class="infotable">
		<p class="indent">
			<strong><?=$langop_registertwice?>!</strong>  <?=$langop_regmsg1?>
		</p>

		<p class="indent">
			<?=$langop_regmsg2?>
		</p>

		<p class="indent">
			<?=$langop_regmsg3?>
		</p>

<? if ($cfg['approval'] == 'yes') { ?>
		<p class="indent">
			<?=$langop_regmsg4?>
		</p>

<? } else { ?>
		<p class="indent">
			<?=$langop_register_sub8?>
		</p>

		<p class="indent">
			<?=$langop_regmsg5?>
		</p>

<? } ?>
	</div>

	<br />

	<form name="form1" method="post" action="functions.php">
		<input name="action" type="hidden" value="register" />

		<!-- Registration -->
		<h1 class="header">
			<?=$langop_register_title?> 
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_username?>:
			</td>
			<td class="infoenter" valign="top">
				<input id="username" name="username" type="text" class="txtinput" style="width: 100%;" onBlur="checkName('username');" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_email?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="email" type="text" class="txtinput" style="width: 100%;" onBlur="MM_validateForm('email','','RisEmail');return document.MM_returnValue" />
<? if ($cfg['approval'] != 'yes') { ?>

				<p class="subtext">
					<strong><?=$langop_register_sub2?></strong>
				</p>

<? } ?>
				<p class="subtext">
					<?=$langop_regmsg6?>
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">
				&nbsp;
			</td>
			</tr>

<? if ($cfg['op_adult'] == 'yes') { ?>
			<tr>
			<td class="infoask" valign="top">
				<?=MIN_AGE_ADULT.'+';?> <?=$langop_agestatement?>:
			</td>
			<td class="infoenter" valign="top">
				<?=$langop_abbr_month?>: <select name="age_month" class="txtinput">
					<option value="0"></option>
					<option value="1"><?=$langop_month_jan?></option>
					<option value="2"><?=$langop_month_feb?></option>
					<option value="3"><?=$langop_month_mar?></option>
					<option value="4"><?=$langop_month_apr?></option>
					<option value="5"><?=$langop_month_may?></option>
					<option value="6"><?=$langop_month_jun?></option>
					<option value="7"><?=$langop_month_jul?></option>
					<option value="8"><?=$langop_month_aug?></option>
					<option value="9"><?=$langop_month_sep?></option>
					<option value="10"><?=$langop_month_oct?></option>
					<option value="11"><?=$langop_month_nov?></option>
					<option value="12"><?=$langop_month_dec?></option>
				</select>

				<?=$langop_abbr_day?>: <input name="age_day" type="text" size="3" class="txtinput" />
				<?=$langop_abbr_year?>: <input name="age_year" type="text" size="6" class="txtinput" />

				<p class="subtext">
					<?=$langop_adultonlymsg?>
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">
				&nbsp;
			</td>
			</tr>

<? } ?>
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_install_password?>:
			</td>
			<td class="infoenter" valign="top">
				<input id="passwd" name="pass" type="password" size="30" class="txtinput" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_install_repassword?>:
			</td>
			<td class="infoenter" valign="top">
				<input id="passwdnew" name="pass2" type="password" size="30" class="txtinput" onBlur="checkPass('passwd', 'passwdnew');" />
			</td>
			</tr>

			<tr>
			<td colspan="2">
				&nbsp;
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_comments?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="comments" type="text" maxlength="80" class="txtinput" style="width: 100%;" />

				<p class="subtext">
					<em><?=$langop_register_sub3?></em>
				</p></td>
			</tr>

			<tr>
			<td colspan="2">
				&nbsp;
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_addusr_arturl?> <? if ($cfg['require_art'] == 'no') { echo '(Optional)'; } else { echo '(Required)'; } ?>:
			</td>
			<td class="infoenter" valign="top">
<? if ($cfg['require_art'] == 'yes') {
	?>
				<input id="artURL" name="artURL" type="text" value="http://" class="txtinput" style="width: 100%;" onBlur="checkURL('artURL');" />

				<p class="subtext">
					<?=$langop_register_sub4?>  <strong><?=$langop_register_sub5?>.</strong>
				</p>
<? } else {?>
				<input id="artURL" name="artURL" type="text" value="http://" class="txtinput" style="width: 100%;" />

				<p class="subtext">
					<?=$langop_nbwebpage?>
				</p>
<? } ?>
			</td>
			</tr>

			<tr>
			<td colspan="2">
				&nbsp;
			</td>
			</tr>

<?php
// Humanity test
$start = rand (1, 10);
$end = rand (1, 10);
$sum = $start + $end;

$mixup = array ($sum, $sum+2, $sum+4, $sum+6, $sum+8);
shuffle ($mixup);

// Make sure correct value is not in 1st position, else swap with 3rd
if ($mixup[0] == $sum) {
	$dummy    = $mixup[0];
	$mixup[0] = $mixup[3];
	$mixup[3] = $dummy;
}

?>
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_what_is?> <?=$start;?> + <?=$end;?>? :
			</td>
			<td class="infoenter" valign="top">
				<input type="hidden" name="x_test" value="<?=$start;?>" />
				<select name="e_test" class="txtinput">
<?
$answer_flag = 0;
foreach ($mixup as $out) { ?>
					<option value="<?=$out;?>"<? if ($out != $sum && $answer_flag == 0) { echo ' selected="selected"'; $answer_flag = 1;} ?>><?=$out;?></option>
<? } ?>
				</select>
				<input type="hidden" name="y_test" value="<?=$end;?>" />

				<p class="subtext">
					<em><?=$langop_humanity_notify_sub;?></em>
				</p>
			</td>
			</tr>
			</table>
		</div>
		<br />



		<!-- Submit -->
		<h1 class="header">
			<?=$langop_subregist?>
		</h1>

		<div class="infotable">
			<p style="text-align: center;">
				<input name="register" type="submit" value="<?=$langop_word_submit?>" class="submit" onclick="MM_validateForm('email','','RisEmail');return document.MM_returnValue" />
			</p>
		</div>
	</form>
</div>


<?
	include ('footer.php');
	exit;
?>