<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2009 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.4.3 - Last modified 9/7/2009
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


// Init
$hsel = ' selected="selected"';


// Input
// $pageno
$searchop  = w_gpc('searchop');
$searchstr = w_gpc('searchstr');
$order     = w_gpc('order');
$mypages   = w_gpc('pages', 'i+');
$active_login_time = 60; // Last login in days to be considered active


// Secure results with search
$searchop_allow = array ('usrname', 'usrflags', 'name', 'email', 'age', 'gender', 'location', 'piccount', 'commcount', 'joindate', 'lastlogin', 'template', 'language', 'rank', 'group_id', 'timezone');
if (!in_array ($searchop, $searchop_allow)) {
	$searchop = '';
}
if ($order != 'ASC' && $order != 'DESC') {
	$order = '';
}
if (empty ($OekakiU) && $searchop == 'email') {
	// Hide e-mail from non-members
	$searchop = '';
}


// Verify search
if (empty ($pageno)) {
	$pageno = 0;
}
if ($mypages < 5 || $mypages > 100) {
	$mypages = $cfg['menu_pages'];
}
if (!$cfg['menu_pages']) {
	$mypages = 25;
}


require ('header.php');


// Search query
$num_users_search = '';
$active_members = 0;
if (!empty ($searchop)) {
	$num_users_search = $langop_matchysearch;
	$searchqry = "SELECT * FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE `{$searchop}` != '' AND `{$searchop}` LIKE '%{$searchstr}%' ORDER BY `{$searchop}` {$order} LIMIT ".($pageno * $mypages).', '.$mypages;
	$searchqry2 = "SELECT COUNT(usrname) FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE `{$searchop}` != '' AND  `{$searchop}` LIKE '%{$searchstr}%'";

	// Special cases:
	if ($searchop == 'joindate' || $searchop == 'lastlogin') {
		// Add user name to search
		trim ($searchstr) != ''
			? $where_clause = "WHERE `usrname` != '' AND `usrname` LIKE '%{$searchstr}%'"
			: $where_clause = '';

		$searchqry = "SELECT * FROM {$OekakiPoteto_MemberPrefix}oekaki {$where_clause} ORDER BY `{$searchop}` {$order} LIMIT ".($pageno * $mypages).', '.$mypages;
		$searchqry2 = "SELECT COUNT(usrname) FROM {$OekakiPoteto_MemberPrefix}oekaki {$where_clause}";
	}
	if ($searchop == 'age') {
		// Reverse ORDER so sorting will be by age, not date
		$age_order = 'DESC';
		if ($order == 'DESC') {
			$age_order = 'ASC';
		}
		$searchqry = "SELECT * FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE `age` != '' ORDER BY `age` {$age_order} LIMIT ".($pageno * $mypages).', '.$mypages;
		$searchqry2 = "SELECT COUNT(usrname) FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE `age` != ''";
	}
} else {
	$searchqry = "SELECT * FROM {$OekakiPoteto_MemberPrefix}oekaki ORDER BY `usrname` ASC LIMIT ".($pageno * $mypages).', '.$mypages;
	$searchqry2 = "SELECT COUNT(usrname) FROM {$OekakiPoteto_MemberPrefix}oekaki";

	// Get active members
	if ($cfg['kill_user'] < 1) {
		$active_search = mysql_query ("SELECT COUNT(usrname) FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE (DATE_ADD(lastlogin, INTERVAL {$active_login_time} DAY) <= NOW())");
		$active_members = (int) mysql_result ($active_search, 0);
	}
}


$search = mysql_query ($searchqry);
$search2 = mysql_query ($searchqry2);
$searchrows = mysql_num_rows ($search);
$totalrows = mysql_result ($search2, 0);
$pages = ceil ($totalrows / $mypages);


?>
<div id="contentmain">
	<form name="form1" method="get" action="memberlist.php">

		<div class="infotable">
			<table style="width: 100%">
			<tr>
			<td>
				<?php
$pages_link = 'memberlist.php?pageno={page_link}';

if ($searchop) $pages_link .= '&amp;searchop='.urlencode ($searchop);
if ($order) $pages_link .= '&amp;order='.urlencode ($order);
if ($searchstr) $pages_link .= '&amp;searchstr='.urlencode ($searchstr);
if ($mypages) $pages_link .= '&amp;pages='.$mypages;

echo quick_page_numbers(0, $pageno, $pages, 4, $pages_link)."\n";
?>
			</td>

			<td align="right">
				<em><?=$totalrows?> <?=$langop_word_members?> <?=$num_users_search?><?
				if ($active_members) echo ', '.$active_members.' '.$langop_word_active.' ('.$active_login_time.' '.$langop_word_days.')';
				?></em>
			</td>
			</tr>
			</table>
		</div>
		<br />


<? if ($pageno == 0) { ?>
		<div class="header">
			<?=$langop_word_administrators?> 
		</div>
		<div class="infotable">
			<table class="infomain">
			<tr>
			<td><strong><?=$langop_word_username?></strong></td>
			<td><strong><?=$langop_word_status?></strong></td>
			<td><strong><?=$langop_word_website?></strong></td>
			<td><strong><?=$langop_word_email?></strong></td>
			<td><strong><?=$langop_word_pictures?></strong></td>
			<td><strong><?=$langop_word_comments?></strong></td>
			</tr>

<? // Owner
			$admin_sql = mysql_query ("SELECT * FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE `rank`=".RANK_OWNER." ORDER BY `usrname` ASC");
			$admin_rows = mysql_num_rows ($admin_sql);
			for ($i = 0; $i < $admin_rows; $i++) {
				$row = mysql_fetch_array ($admin_sql);
?>
			<tr>
			<td>
				<a onclick="openWindow('profile.php?user=<?= urlencode ($row['usrname']);?>', 400, 500); return false;" href="profile.php?user=<?= urlencode ($row['usrname']);?>"><?=w_html_chars($row['usrname']);?></a>
			</td>
			<td><?=$langop_type_owner?></td>
<? if (strlen ($row['url']) > 8) { ?>
			<td><a href="<?=w_html_chars($row['url']);?>"><?=$langop_word_yes?></a></td>
<? } else { ?>
			<td>-</td>
<? }
if (!empty ($OekakiU)) {
	$e_temp = email_code($row['email'], TRUE);
	?>
			<td><a href="mailto:<?=$e_temp;?>?subject=Oekaki"><?=$e_temp;?></a></td>
<? } else { ?>
			<td><?= email_code($row['email'], FALSE); ?></td>
<? } ?>
			<td><a href="index.php?artist=<?= urlencode ($row['usrname']); ?>"><?=$row['piccount']?></a></td>
			<td><?=$row['commcount']?></td>
			</tr>
<?
			}
?>

			<tr><td colspan="6">&nbsp;</td></tr>

<? // Other Admins
			$admin_sql = mysql_query ("SELECT * FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE (`rank` >= ".RANK_MOD.") AND (`rank` < ".RANK_OWNER.") ORDER BY `usrname` ASC");
			$admin_rows = mysql_num_rows ($admin_sql);
			for ($i = 0; $i < $admin_rows; $i++) {
				$row = mysql_fetch_array ($admin_sql);
				if ($row['rank'] < RANK_OWNER) {
?>
			<tr>
			<td>
				<a onclick="openWindow('profile.php?user=<?= urlencode ($row['usrname']);?>', 400, 500); return false" href="profile.php?user=<?= urlencode ($row['usrname']);?>"><?=w_html_chars($row['usrname']);?></a>
			</td>
			<td><?
				switch ($row['rank']) {
					case RANK_SADMIN:
						echo $langop_type_sadmin;
						break;
					case RANK_ADMIN:
						echo $langop_type_admin;
						break;
					default:
						echo 'Moderator';
						break;
				}
			?></td>
<? if (strlen ($row['url']) > 8) { ?>
			<td><a href="<?=$row['url']?>"><?=$langop_word_yes?></a></td>
<? } else { ?>
			<td>-</td>
<? }
if (!empty ($OekakiU)) {
	$e_temp = email_code($row['email'], TRUE);
	?>
			<td><a href="mailto:<?=$e_temp;?>?subject=Oekaki"><?=$e_temp;?></a></td>
<? } else { ?>
			<td><?= email_code($row['email'], FALSE);?></td>
<? } ?>
			<td><a href="index.php?artist=<?= urlencode ($row['usrname']); ?>"><?=$row['piccount']?></a></td>
			<td><?=$row['commcount']?></td>
			</tr>
<?
				}
			}
?>
			</table>
		</div>
		<br />


<? } ?>
		<div class="header">
			<div style="text-align: left; padding: 5px;">
				<strong><?=$langop_sortby?>:</strong>
				<select name="searchop" class="multiline">
					<option value="usrname"<? if ($searchop == 'usrname') echo $hsel; ?>><?=$langop_word_username?></option>
					<option value="name"<? if ($searchop == 'name') echo $hsel; ?>><?=$langop_word_name?></option>
					<option value="email"<? if ($searchop == 'email') echo $hsel; ?>><?=$langop_word_email?></option>
					<option value="age"<? if ($searchop == 'age') echo $hsel; ?>><?=$langop_word_age?></option>
					<option value="gender"<? if ($searchop == 'gender') echo $hsel; ?>><?=$langop_word_gender?></option>
					<option value="location"<? if ($searchop == 'location') echo $hsel; ?>><?=$langop_word_location?></option>
					<option value="piccount"<? if ($searchop == 'piccount') echo $hsel; ?>><?=$langop_common_picposts?></option>
					<option value="commcount"<? if ($searchop == 'commcount') echo $hsel; ?>><?=$langop_common_compost?></option>
					<option value="joindate"<? if ($searchop == 'joindate') echo $hsel; ?>><?=$langop_common_jdate?></option>
					<option value="lastlogin"<? if ($searchop == 'lastlogin') echo $hsel; ?>><?=$langop_common_lastlogin?></option>
					<option value="rank"<? if ($searchop == 'rank') echo $hsel; ?>><?=$langop_adminrnk?></option>
					<option value="usrflags"<? if ($searchop == 'usrflags') echo $hsel; ?>><?=$langop_word_flags?></option>
					<option value="language"<? if ($searchop == 'language') echo $hsel; ?>><?=$langop_word_language?></option>
					<option value="templatesel"<? if ($searchop == 'templatesel') echo $hsel; ?>><?=$langop_word_template?></option>
<? /* Not used yet
					<option value="group_id"<\? if ($searchop == 'group_id') echo $hsel; ?\>><\?=$langop_word_group_id?\></option>
					<option value="timezone"<\? if ($searchop == 'timezone') echo $hsel; ?\>><\?=$langop_word_timezone?\></option>
*/ ?>
				</select>

				<strong><?=$langop_word_order?>:</strong>
				<select name="order" class="multiline">
					<option value="ASC"<? if ($order == 'ASC') { echo $hsel; } ?>><?=$langop_word_ascending?></option>
					<option value="DESC"<? if ($order == 'DESC') { echo $hsel; } ?>><?=$langop_word_decending?></option>
				</select>

				<strong><?=$langop_perpage?>:</strong>
				<select name="pages" class="multiline">
<? if ($mypages == $cfg['menu_pages']) { ?>
					<option value="<?=$cfg['menu_pages']?>" selected="selected"><?=$cfg['menu_pages']?> (<?=$langop_word_default?>)</option>
<? } else { ?>
					<option value="<?=$mypages?>" selected="selected"><?=$mypages?> (Selected)</option>
<? } ?>
					<option value="10">10</option>
					<option value="25">25</option>
					<option value="50">50</option>
					<option value="100">100</option>
				</select>

				<strong><?=$langop_word_keywords?>:</strong>
				<input type="text" name="searchstr" class="txtinput"<? if (!empty ($searchstr)) { echo (' value="'.w_html_chars($searchstr).'"'); } ?> />

				<input type="submit" name="search" value="<?=$langop_word_search?>" class="submit" />
			</div>
		</div>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td><strong><?=$langop_word_username?></strong></td>
			<td><strong><?=$langop_word_website?></strong></td>
<? if (empty ($OekakiU)) { ?>
			<td><strong><?=$langop_word_email?> (<?=$langop_plzlogin?>)</strong></td>
<? } else { ?>
			<td><strong><?=$langop_word_email?></strong></td>
<? } ?>
			<td><strong><?=$langop_word_pictures?></strong></td>
			<td><strong><?=$langop_word_comments?></strong></td>
<?
if ($searchop != '' && $searchop != 'usrname' && $searchop != 'email' && $searchop != 'piccount' && $searchop != 'commcount') {
?>
			<td>
				<strong><?=$searchop?></strong>
			</td>
<? } ?>
			</tr>

<?
for ($i = 0; $i < $searchrows; $i++) {
	$row = mysql_fetch_array($search);
	?>
			<tr>
			<td>
				<a onclick="openWindow('profile.php?user=<?=urlencode ($row['usrname']);?>', 400, 500); return false;" href="profile.php?user=<?=urlencode ($row['usrname']);?>"><?=w_html_chars($row['usrname']);?></a><? if(strstr ($row['usrflags'], 'P')) { echo ' <small>('.$langop_word_pending.')</small>'."\n"; } ?> 
			</td>
			<td><?
	if (strlen ($row['url']) > 8 && strstr ($row['url'], '://')) {
?>

				<a href="<?=$row['url'];?>"><?=$langop_word_yes?></a>
<?
		echo ("\t\t\t");
	} else {
		?>-<?
	}
			?></td>
			<td><?
			// Only registered members can see e-mails
			if (empty ($OekakiU)) {
				?>-<?
			} else {
				$e_click   = email_code($row['email'], TRUE);
				$e_display = email_code($row['email'], FALSE);
				echo ("\n\t\t\t\t");

				// Obscure e-mail to non-admins?
				if (!$row['email_show']) {
					echo ("({$langop_word_na}) ");
				}
				if ($flags['mod']) {
					echo ("<a href=\"mailto:{$e_click}\">{$e_click}</a>");
				} elseif ($row['email_show']) {
					echo ("<a href=\"mailto:{$e_click}\">{$e_display}</a>");
				}

				echo ("\n\t\t\t");
			}
			?></td>
			<td><?
if ($row['piccount'] > 0) {
	echo ("\n");
?>
				<a href="index.php?artist=<?=urlencode ($row['usrname']);?>"><?=$row['piccount'];?></a>
<?
	echo ("\n\t\t\t");
} else {
	echo ('0');
}
			?></td>
			<td><?=$row['commcount'];?></td>
<?
	if (!empty ($searchop) && $searchop != 'usrname' && $searchop != 'email' && $searchop != 'piccount' && $searchop != 'commcount') {
		if ($searchop == 'age') {
			$the_date = $row['age'];
			$the_age  = get_age($the_date);

			if (strpos ($the_date, '-') === FALSE) {
				// No birthday
				$the_b_day = '';
			} else {
				$the_b_day = ' <small>('.$the_date.')</small>';
			}

			echo '			<td>'.$the_age.$the_b_day."</td>\n";
		} else {
			echo '			<td>'.$row[$searchop]."</td>\n";
		}
	}
	echo '			</tr>'."\n";
}
?>
			</table>
		</div>
	</form>
</div>


<? include ('footer.php'); ?>