<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2008 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.4.0 - Last modified 7/13/2008
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


@mysql_close ($dbconn);



// Start HTML
send_html_headers();
?>
<head>
	<meta http-equiv="content-type" content="text/html; charset=<?=$charset?>" />
	<meta http-equiv="content-language" content="<?=$metatag_language?>" />

	<title><?=$cfg['op_title']?></title>

	<link rel="stylesheet" type="text/css" href="<?=$cssinclude?>" title="<?=$template_name?>" />

	<script type="text/javascript" src="Poteto.js">
	</script>
</head>

<body>


<!-- Usage -->
<div class="pheader">
	<?=$langop_niftytoo_title?> 
</div>

<div class="pinfotable">
	<?=$langop_niftytoo_titlesub?> 
</div>
<br />


<!-- Linking -->
<div class="pheader">
	<?=$langop_niftytoo_linking?> 
</div>

<div class="pinfotable">
	<p>
		<strong>[url]http://www.Something.com[/url]</strong>
	</p>
	<p>
		<strong>[url=http://www.Something.com]<?=$langop_lnksom?>[/url]</strong>
	</p>
	<p>
		<?=$langop_urlswithot?> <strong>[url]</strong> <?=$langop_taglinkauto?> 
	</p>
</div>
<br />


<!-- Basics -->
<div class="pheader">
	<?=$langop_niftytoo_basicfor?> 
</div>

<table class="pinfotable" style="width: 100%;">
	<tr>
	<td class="pinfoask" style="width: 30%;" valign="top">
		[color=<em><?=$langop_word_colorcode?></em>]<?=$langop_word_text?>[/color]
	</td>
	<td class="pinfoenter" valign="top">
		<?=$langop_niftytoo_textcol?>.

		<p>
			[color=#AA00AA]<?=$langop_word_text?>[/color] <?=$langop_niftytoo_produce?> 
			<?=nifty2_convert('[color=#AA00AA]'.$langop_word_text.'[/color]');?><br />

			[color=red]<?=$langop_word_text?>[/color] <?=$langop_niftytoo_produce?>
			<?=nifty2_convert('[color=red]'.$langop_word_text.'[/color]');?><br />

			[color=yellow on black]<?=$langop_word_text?>[/color] <?=$langop_niftytoo_produce?>
			<?=nifty2_convert('[color=yellow on black]'.$langop_word_text.'[/color]')."\n";?>
		</p>
	</td>
	</tr>

	<tr>
	<td class="pinfoask" valign="top">
		[b]<strong><?=$langop_word_text?></strong>[/b]
	</td>
	<td class="pinfoenter" valign="top">
		<strong><?=$langop_word_bold?></strong> <?=$langop_word_text?>.
	</td>
	</tr>

	<tr>
	<td class="pinfoask" valign="top">
		[i]<strong><?=$langop_word_text?></strong>[/i]
	</td>
	<td class="pinfoenter" valign="top">
		<i><?=$langop_word_italic?></i> <?=$langop_word_text?>.
	</td>
	</tr>

	<tr>
	<td class="pinfoask" valign="top">
		[u]<strong><?=$langop_word_text?></strong>[/u]
	</td>
	<td class="pinfoenter" valign="top">
		<u><?=$langop_word_underline?></u> <?=$langop_word_text?>.
	</td>
	</tr>

	<tr>
	<td class="pinfoask" valign="top">
		[del]<strong><?=$langop_word_text?></strong>[/del]
	</td>
	<td class="pinfoenter" valign="top">
		<s><?=$langop_word_strikethrough?></s> <?=$langop_word_text?>.
	</td>
	</tr>
</table>
<br />


<!-- Intermediate -->
<div class="pheader">
	<?=$langop_niftytoo_intermform?> 
</div>

<table class="pinfotable" style="width: 100%;">
	<tr>
	<td class="pinfoask" valign="top">
		[big]<strong><?=$langop_word_text?></strong>[/big]
	</td>
	<td class="pinfoenter" valign="top">
		<big>Big <?=$langop_word_text?>.</big>
	</td>
	</tr>

	<tr>
	<td class="pinfoask" valign="top">
		[small]<strong><?=$langop_word_text?></strong>[/small]
	</td>
	<td class="pinfoenter" valign="top">
		<small>Small <?=$langop_word_text?>.</small>
	</td>
	</tr>

	<tr>
	<td class="pinfoask" style="width: 30%;" valign="top">
		[code]<?=$langop_word_text?>[/code]
	</td>
	<td class="pinfoenter" valign="top">
		<code><?=$langop_word_preformatted?> <?=$langop_word_text?>.</code>
	</td>
	</tr>

	<tr>
	<td class="pinfoask" valign="top">
		[quote]<strong><?=$langop_word_text?></strong>[/quote]
	</td>
	<td class="pinfoenter" valign="top">
		<?=nifty2_convert('[quote]Quoted '.$langop_word_text.' (attribution not supported)[/quote]')."\n";?>
	</td>
	</tr>

	<tr>
	<td class="pinfoask" valign="top">
		[[two_bracket]]<b><?=$langop_word_text?></b>[[/example]]
	</td>
	<td class="pinfoenter" valign="top">
		<?=nifty2_convert('[[two_bracket]]'.$langop_word_text.'[/example]')."\n";?>
	</td>
	</tr>
</table>
<br />


<!-- Chat -->
<div class="pheader">
	<?=$langop_niftytoo_chatformat?> 
</div>

<table class="pinfotable" style="width: 100%;">
	<tr>
	<td class="pinfoask" style="width: 30%;" valign="top">
		/me <em><?=$langop_word_action?></em>
	</td>
	<td class="pinfoenter" valign="top">
		<?=$langop_niftytoo_chatdesc?> 

		<p>
			<?=$langop_word_example?>: /me <?=$langop_niftytoo_actions?> 
		</p>
	</td>
	</tr>
</table>

<p style="text-align: center;">
	<a onclick="javascript: window.close();" href="#"><?=$langop_common_window?></a>
</p>


</body>
</html>